

import java.util.Arrays;
import java.util.Random;

public class Lottery {

    private int[] numbers;
    private Random rng = new Random();

    public Lottery(int maximum) {
        numbers = new int[maximum];
        for (int i = 0; i < numbers.length; i++) {
            numbers[i] = i + 1;
        }
    }

    private void mix(int iterations) {
        for (int i = 0; i < iterations; i++) {
            int shuffleIndex =
                i + rng.nextInt(numbers.length - i);
            int temp = numbers[shuffleIndex];
            numbers[shuffleIndex] = numbers[i];
            numbers[i] = temp;
        }
    }

    public int[] pick(int numbersToPick) {
        int[] selection;
        mix(numbersToPick);
        selection = Arrays.copyOf(numbers, numbersToPick);
        Arrays.sort(selection);
        return selection;
    }

}