package org.nm.challenge.examples.cards;

import org.apache.commons.math.random.MersenneTwister;

public class Dealer {

    private MersenneTwister rng;
    private Card[] deck;

    public Dealer() {
        rng = new MersenneTwister();
        deck = Card.newDeck();
    }

    public void shuffle() {
        for (int i = 0; i < deck.length - 1; i++) {
            int selection = i + rng.nextInt(deck.length - i);
            Card temp = deck[selection];
            deck[selection] = deck[i];
            deck[i] = temp;
        }
    }

    public Card[][] deal(int numberOfHands, int cardsPerHand) {
        Card[][] cards = new Card[numberOfHands][cardsPerHand];
        for (int i = 0; i < cardsPerHand; i++) {
            for (int j = 0; j < numberOfHands; j++) {
                cards[j][i] = deck[i * numberOfHands + j];
            }
        }
        return cards;
    }

}